Bug 1368922 - Can't change name for uefi guest on virt-manager
Summary: Can't change name for uefi guest on virt-manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-manager
Version: 7.3
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Pavel Hrdina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-22 06:47 UTC by mxie@redhat.com
Modified: 2017-08-01 21:02 UTC (History)
6 users (show)

Fixed In Version: virt-manager-1.4.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 21:02:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (74.50 KB, image/png)
2016-08-22 06:47 UTC, mxie@redhat.com
no flags Details
virt-manager-debug.log (13.61 KB, text/plain)
2016-08-22 06:48 UTC, mxie@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2072 0 normal SHIPPED_LIVE virt-manager bug fix and enhancement update 2017-08-01 18:36:34 UTC

Description mxie@redhat.com 2016-08-22 06:47:31 UTC
Created attachment 1192777 [details]
screenshot

Description of problem:
Can't change name for uefi guest on virt-manager


Version-Release number of selected component (if applicable):
libvirt-2.0.0-5.el7.x86_64
virt-manager-1.4.0-1.el7.noarch
qemu-kvm-1.5.3-121.el7.x86_64


How reproducible:
100%

Steps to Reproduce:
1.Prepate a uefi guest on virt-manager
# virsh dumpxml juzhou-test-efi
<domain type='kvm'>
  <name>juzhou-test-efi</name>
  <uuid>18e6c7b5-ece3-45c4-bca6-529113e42d26</uuid>
  <memory unit='KiB'>4194304</memory>
  <currentMemory unit='KiB'>4194304</currentMemory>
  <vcpu placement='static'>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc-i440fx-rhel7.3.0'>hvm</type>
    <loader readonly='yes' type='pflash'>/usr/share/OVMF/OVMF_CODE.fd</loader>
    <nvram template='/usr/share/OVMF/OVMF_VARS.fd'>/var/lib/libvirt/qemu/nvram/juzhou-test-efi_VARS.fd</nvram>
    <boot dev='hd'/>
  </os>
  <features>
    <acpi/>
    <apic/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>restart</on_crash>
  <devices>
    <emulator>/usr/libexec/qemu-kvm</emulator>
    <disk type='volume' device='disk'>
      <driver name='qemu' type='raw' cache='none'/>
      <source pool='default' volume='juzhou-test-efi-sda'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x04' function='0x0'/>
    </disk>


2.Try to change name for uefi guest on virt-manager, but it can't be changed with error :Error apply changes: Requested operation is not valid: cannot delete inactive domain with nvram, pls refer to screenshot

Actual results:
As above description

Expected results:
Can change name for uefi guest on virt-manager

Additional info:
Can change name for no-uefi guest on virt-manager successfully

Comment 1 mxie@redhat.com 2016-08-22 06:48:04 UTC
Created attachment 1192778 [details]
virt-manager-debug.log

Comment 3 Pavel Hrdina 2017-03-08 16:54:03 UTC
Upstream commit:

commit 92c230d1113403b506e115416dff1218479b7116
Author: Pavel Hrdina <phrdina>
Date:   Mon Mar 6 09:43:10 2017 +0100

    domain: add support to rename domain with nvram vars file

Comment 5 zhoujunqin 2017-03-16 08:10:03 UTC
I can reproduce this bug with build:
virt-manager-1.4.0-2.el7.noarch
virt-manager-common-1.4.0-2.el7.noarch
virt-install-1.4.0-2.el7.noarch

Then try to verify this bug with new build:
virt-install-1.4.1-1.el7.noarch
virt-manager-1.4.1-1.el7.noarch
virt-manager-common-1.4.1-1.el7.noarch
libvirt-3.1.0-2.el7.x86_64

Steps:
1. Prepare a uefi guest on virt-manager with configuraion:

# virsh dumpxml rhel7.3-uefi-rename
  <domain type='kvm'>
  <name>rhel7.3-uefi-rename</name>
...
  <os>
    <type arch='x86_64' machine='pc-q35-rhel7.4.0'>hvm</type>
    <loader readonly='yes' type='pflash'>/usr/share/OVMF/OVMF_CODE.secboot.fd</loader>
    <nvram>/var/lib/libvirt/qemu/nvram/rhel7.3-uefi-rename_VARS.fd</nvram>
    <boot dev='hd'/>
  </os>
...
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw'/>
      <source file='/var/lib/libvirt/images/rhel7.3-2.img'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x03' slot='0x00' function='0x0'/>
    </disk>
...

2. Launch virt-manager, double click the guest to "Show virtual hardware details" page.

3. Modify guest Name from "rhel7.3-uefi-rename" to "rhel7.3-uefi", then click "Apply" button.

Result:
After step3, guest name can be changed to "rhel7.3-uefi" successfully, and guest can start successfully.

Also test with a window-uefi guest, guest also can be renamed successfully.

So move this bug from ON_QA to VERIFIED.

Comment 6 errata-xmlrpc 2017-08-01 21:02:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2072


Note You need to log in before you can comment on or make changes to this bug.